package com.capgemini.framework.teamcenter.exceptions;

/** Exception encountered when a DataSet could not be created because of incoorect inputs. */
public class MalformedDataSetException extends KurtException {

    private static final long serialVersionUID = 1852176831050983022L;

    /**
     * Simple constructor. For an original exception.
     * 
     * @param msg the tech error message
     */
    public MalformedDataSetException(final String msg) {
        super(msg);
    }

    /**
     * Simple constructor. For an derived exception.
     * 
     * @param msg the tech error message
     * @param exc original exception
     */
    public MalformedDataSetException(final String msg, final Throwable exc) {
        super(msg, exc);
    }

}
